Organization Users
List Users
GET /v1/organizations/users/list
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
QueryString
| Name | Type | Description |
|---|---|---|
| action=users | string | Name of the user |
org_id |
number | The Organization ID |
Response
{
"status": 200,
"users": [
{
"email": "string",
"role": "string",
"state": "string"
}
],
"mfa": {
"view": bool,
"create": bool,
"update": bool,
"delete": bool,
"usersmgmt": bool
}
}
Add a new user
POST /v1/organizations/users/add?action=add_user
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Body
| Name | Type | Description |
|---|---|---|
| org_id | string | The Organization ID |
| user_id | string | The user email |
| role | string | The role |
| state | string | active | inactive |
Response
{
"status": 200
}
Edit organization user
POST /v1/organizations/users/update?action=update_user
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Payload
| Name | Type | Description |
|---|---|---|
org_id |
string | The Organization ID |
| user_id | string | The user email |
| role | string | The role |
| state | string | active | inactive |
Response
{
"status": 200
}
Remove user from Organization
POST /v1/organizations/users/remove?action=remove_user
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Body
| Name | Type | Description |
|---|---|---|
org_id |
string | The Organization ID |
user_id |
string | The user email |
| reason | string | The reason |
Response
{
"status": 200
}